Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.nio
Class XMPPCodecFactory

    java.lang.Object
      org.jivesoftware.openfire.nio.XMPPCodecFactory

All Implemented Interfaces:
  org.apache.mina.filter.codec.ProtocolCodecFactory

    public class XMPPCodecFactory

extends Object
implements org.apache.mina.filter.codec.ProtocolCodecFactory

Factory that specifies the encode and decoder to use for parsing XMPP stanzas.

Author:
  Gaston Dombiak

Constructor Summary
`XMPPCodecFactory()`

Method Summary
`org.apache.mina.filter.codec.ProtocolDecoder` | `getDecoder()`
`org.apache.mina.filter.codec.ProtocolEncoder` | `getEncoder()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMPPCodecFactory

    public XMPPCodecFactory()

Method Detail

### getEncoder

    public org.apache.mina.filter.codec.ProtocolEncoder getEncoder()
                                                            throws Exception

  Specified by:
    `getEncoder` in interface `org.apache.mina.filter.codec.ProtocolCodecFactory`
  Throws:
    `Exception`

### getDecoder

    public org.apache.mina.filter.codec.ProtocolDecoder getDecoder()
                                                            throws Exception

  Specified by:
    `getDecoder` in interface `org.apache.mina.filter.codec.ProtocolCodecFactory`
  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.